# $Revision: 1.24 $, $Date: 2010/06/06 08:37:20 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Gtk2-GladeXML
Summary:	Mechanisms for instantiating and utilization of user interfaces created with Glade-2
Summary(pl.UTF-8):	Mechanizmy pozwalające na wykorzystywanie interfejsów stworzonych za pomocą Glade-2
Name:		perl-Gtk2-GladeXML
Version:	1.007
Release:	2
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	e6ca234e2a9f0221263acd2a593c583b
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libglade2-devel >= 2.6.0
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Glib >= 1.140
BuildRequires:	perl-Gtk2 >= 1.140
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Glib >= 1.140
Requires:	perl-Gtk2 >= 1.140
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
After designing an application with Glade-2 the layout and
configuration is saved in a XML formatted file. libglade is a library
to load and use files of this particular XML format at application run
time. This module is a set of mappings of libglade.

%description -l pl.UTF-8
Po zaprojektowaniu aplikacji korzystającej z Glade-2 jej wygląd i
konfiguracja są zapamiętywane w postaci plików w formacie XML.
libglade jest biblioteką służącą do odczytu i korzystania z tego
specyficznego formatu XML w czasie działania aplikacji. Ten moduł
stanowi zbiór odwzorowań biblioteki libglade.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%{perl_vendorarch}/Gtk2/GladeXML.pm
%dir %{perl_vendorarch}/Gtk2/GladeXML
%dir %{perl_vendorarch}/auto/Gtk2/GladeXML
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/GladeXML/*.so
%{perl_vendorarch}/Gtk2/GladeXML/Install
%{perl_vendorarch}/auto/Gtk2/GladeXML/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gtk2-GladeXML.spec,v $
Revision 1.24  2010/06/06 08:37:20  arekm
- release 2

Revision 1.23  2008/11/07 16:03:45  sls
- ver. 1.007

Revision 1.22  2008-03-02 17:31:51  radek
- release 4

Revision 1.21  2008-03-02 16:53:10  wolvverine
- rel.3

Revision 1.20  2008-02-08 14:40:34  arekm
- rel 2

Revision 1.19  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.18  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.16  2006/09/20 21:07:00  grzegol
- 1.006

Revision 1.15  2005/06/22 20:39:36  freetz
- 1.005

Revision 1.14  2005/04/23 16:35:31  freetz
- 1.004

Revision 1.13  2004/11/03 22:30:24  paladine
- formatting

Revision 1.12  2004/09/17 04:31:34  freetz
- 1.001

Revision 1.11  2004/06/07 17:52:10  qboosh
- fixed Name

Revision 1.10  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.9  2004/05/13 17:17:34  ankry
- spaces -> tabs, other cosmetics

Revision 1.8  2004/04/01 15:59:38  freetz
- 1.00, more BRs/Rs

Revision 1.7  2004/01/09 15:35:12  freetz
- 0.95

Revision 1.6  2003/11/28 16:09:48  freetz
- md5

Revision 1.5  2003/11/28 16:04:41  freetz
- up to 0.94
- pnam defined, more BRs, more %%files

Revision 1.4  2003/10/24 21:43:35  freetz
- 0.93

Revision 1.3  2003/10/13 22:17:56  qboosh
- missing dir, shortened summaries a little

Revision 1.2  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.1  2003/09/06 11:23:32  krzak
- initial
